- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_logging – Manage logging on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_logging” module

## Synopsis

- This module provides declarative management of logging on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of logging definitions.
dest - | Choices: console host | Destination of the logs.
facility - |  | Set logging facility.
level - |  | Set logging severity levels.
name - |  | If value of `dest` is host it indicates file-name the host name to be notified.
purge - | Default: "no" | Purge logging not defined in the aggregate parameter.
state - | Choices: present ← absent | State of the logging configuration.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure console logging
      net_logging:
        dest: console
        facility: any
        level: critical

    - name: remove console logging configuration
      net_logging:
        dest: console
        state: absent

    - name: configure host logging
      net_logging:
        dest: host
        name: 192.0.2.1
        facility: kernel
        level: critical

    - name: Configure file logging using aggregate
      net_logging:
        dest: file
        aggregate:
        - name: test-1
          facility: pfe
          level: critical
        - name: test-2
          facility: kernel
          level: emergency
    - name: Delete file logging using aggregate
      net_logging:
        dest: file
        aggregate:
        - name: test-1
          facility: pfe
          level: critical
        - name: test-2
          facility: kernel
          level: emergency
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['logging console critical']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.